Loading...
Searching...
No Matches
MultiResGrid< TreeType >::CookOp< OperatorType > Struct Template Reference

Private template struct that performs the actual multi-threading. More...

`#include <openvdb/tools/MultiResGrid.h>`

## Public Types

using | ManagerT = tree::LeafManager<TreeType>
using | RangeT = typename ManagerT::LeafRange

## Public Member Functions

| CookOp (const TreeType &srcTree, TreeType &dstTree, size_t grainSize)
| CookOp (const CookOp &other)
void | operator() (const RangeT &range) const

## Public Attributes

const ConstAccessor | acc

## Detailed Description

template<typename TreeType>
template<typename OperatorType>
struct openvdb::v11_0::tools::MultiResGrid< TreeType >::CookOp< OperatorType >

Private template struct that performs the actual multi-threading.

## Member Typedef Documentation

## ManagerT

template<typename TreeType >
template<typename OperatorType >

using ManagerT = tree::LeafManager<TreeType>

## RangeT

template<typename TreeType >
template<typename OperatorType >

using RangeT = typename ManagerT::LeafRange

## Constructor & Destructor Documentation

## CookOp() [1/2]

template<typename TreeType >
template<typename OperatorType >

CookOp | ( | const TreeType & | srcTree,
|  | TreeType & | dstTree,
|  | size_t | grainSize )

inline

## CookOp() [2/2]

template<typename TreeType >
template<typename OperatorType >

CookOp | ( | const CookOp< OperatorType > & | other | ) |

inline

## Member Function Documentation

## operator()()

template<typename TreeType >
template<typename OperatorType >

void operator() | ( | const RangeT & | range | ) | const

inline

## Member Data Documentation

## acc

template<typename TreeType >
template<typename OperatorType >

const ConstAccessor acc